searchNodes=[{"doc":"SmsUp is used to send sms throught SmsUP (other api may be integrated easily) by implementing the same behaviour. This module provides delegates to the internal modules for sending sms and the distributed One Time Password store. For the One Time Password functionality if you are part of a cluster the librairy uses mnesia to distibute the store accross the nodes.","ref":"SmsUp.html","title":"SmsUp","type":"module"},{"doc":"Send a sms with the chosen Sender Module. Configuration is available as : config :sms_up, :deliver_module, MODULE MODULE can be SmsUp.Delivery.LoggerDelivery (default) or SmsUp.Delivery.SmsUpDelivery.Returns a ok tuple containing the message body and the number for which it was sent to or an error tuple with the reason.Examplesiex&gt; SmsUp.send_sms(&quot;+41765556677&quot;, &quot;message&quot;) {:ok, %{to: &quot;+41765556677&quot;, body: &quot;message&quot;}}","ref":"SmsUp.html#send_sms/3","title":"SmsUp.send_sms/3","type":"function"},{"doc":"Generate a pin code for the given id and store it in a mnesia database. Returns the generated pin code.Examplesiex&gt; SmsUp.store(&quot;user@email.ch&quot;) &quot;123456&quot;","ref":"SmsUp.html#store/1","title":"SmsUp.store/1","type":"function"},{"doc":"Validate a pin code along with the user id and tells if the provided pin is correct or not. Returns a tupple containing true or false regarding the result.Examplesiex&gt; SmsUp.validate(&quot;user@email.ch&quot;, &quot;Good Pin&quot;) {:ok, true} iex&gt; SmsUp.validate(&quot;user@email.ch&quot;, &quot;Wrong Pin&quot;) {:ok, false}","ref":"SmsUp.html#validate/2","title":"SmsUp.validate/2","type":"function"},{"doc":"Print the sms to the console and do not send it to any API. Usefull for dev environment and testing.","ref":"SmsUp.Delivery.LoggerDelivery.html","title":"SmsUp.Delivery.LoggerDelivery","type":"module"},{"doc":"Deliver the SMS to the console. Provide a valid international number, the body of the message and a optional list of options (mostly used by real sms api).Examplesiex&gt; SmsUp.Delivery.LoggerDelivery.deliver(&quot;+41765556677&quot;, &quot;Hello&quot;) {:ok, %{to: &quot;+41765556677&quot;, body: &quot;Hello&quot;, options: []}} iex&gt; SmsUp.Delivery.LoggerDelivery.deliver(&quot;+41765556677&quot;, &quot;Hello&quot;, [option: 1]) {:ok, %{to: &quot;+41765556677&quot;, body: &quot;Hello&quot;, options: [option: 1]}}","ref":"SmsUp.Delivery.LoggerDelivery.html#deliver/3","title":"SmsUp.Delivery.LoggerDelivery.deliver/3","type":"function"},{"doc":"Deliver the sms throught SMS Up plateform with your API key.","ref":"SmsUp.Delivery.SmsUpDelivery.html","title":"SmsUp.Delivery.SmsUpDelivery","type":"module"},{"doc":"Deliver the SMS to the real API. Provide a valid international number, the body of the message and a optional list of options:pushtype: The push type (alert or marketing)delay: Sending date Y-m-d H:i:ssender: Allows you to customize the sendergsmsmsid: An id of your choice to link it to its delivery reportCan return the following errors from SMS UP:Authentication errorXML errorNot enough creditsIncorrect date delayContact list errorJSON errorData errorYour campaign is currently under moderationUnknown errorDo not forget to indicate your API key in config: config :sms_up, api_key: MY_KEYExamplesiex&gt; SmsUp.Delivery.SmsUpDelivery.deliver(&quot;+41765556677&quot;, &quot;Hello&quot;) {:ok, %{to: &quot;+41765556677&quot;, body: &quot;Hello&quot;, options: []}} iex&gt; SmsUp.Delivery.SmsUpDelivery.deliver(&quot;+41765556677&quot;, &quot;Hello&quot;, [sender: &quot;Company&quot;]) {:ok, %{to: &quot;+41765556677&quot;, body: &quot;Hello&quot;, options: [sender: &quot;Company&quot;]}}","ref":"SmsUp.Delivery.SmsUpDelivery.html#deliver/3","title":"SmsUp.Delivery.SmsUpDelivery.deliver/3","type":"function"},{"doc":"This module provides function to validate phone number formats.","ref":"SmsUp.Numbers.PhoneValidator.html","title":"SmsUp.Numbers.PhoneValidator","type":"module"},{"doc":"Format the given number to international format.Returns a ok tupple with the formated number or an erro tupple and the reason.Examplesiex&gt; SmsUp.Numbers.PhoneValidator.format(&quot;+41765556677&quot;, &quot;CH&quot;) {:ok, &quot;+41765556677&quot;} iex&gt; SmsUp.Numbers.PhoneValidator.format(&quot;0765556677&quot;, &quot;CH&quot;) {:ok, &quot;+41765556677&quot;} iex&gt; SmsUp.Numbers.PhoneValidator.format(&quot;765556677&quot;, &quot;CH&quot;) {:ok, &quot;+41765556677&quot;} iex&gt; SmsUp.Numbers.PhoneValidator.format(&quot;0630772288&quot;, &quot;FR&quot;) {:ok, &quot;+33630772288&quot;} iex&gt; SmsUp.Numbers.PhoneValidator.format(&quot;0630772288&quot;, &quot;ZZ&quot;) {:error, &quot;Invalid country calling code&quot;} iex&gt; SmsUp.Numbers.PhoneValidator.format(&quot;Hello&quot;, &quot;FR&quot;) {:error, &quot;The string supplied did not seem to be a phone number&quot;}","ref":"SmsUp.Numbers.PhoneValidator.html#format/2","title":"SmsUp.Numbers.PhoneValidator.format/2","type":"function"},{"doc":"Check if the number seems to be valid format wise.Returns true or false.Examplesiex&gt; SmsUp.Numbers.PhoneValidator.is_valid_number?(&quot;+41765556677&quot;) true iex&gt; SmsUp.Numbers.PhoneValidator.is_valid_number?(&quot;0765556677&quot;) false iex&gt; SmsUp.Numbers.PhoneValidator.is_valid_number?(&quot;555&quot;) false iex&gt; SmsUp.Numbers.PhoneValidator.is_valid_number?(&quot;hello&quot;) false","ref":"SmsUp.Numbers.PhoneValidator.html#is_valid_number?/1","title":"SmsUp.Numbers.PhoneValidator.is_valid_number?/1","type":"function"},{"doc":"","ref":"SmsUp.Pin.Db.Pin.html","title":"SmsUp.Pin.Db.Pin","type":"module"},{"doc":"This module deals with generating random pin codes.","ref":"SmsUp.Pin.Generator.html","title":"SmsUp.Pin.Generator","type":"module"},{"doc":"Generate a random pin number of the given length (min: 1, max: 10). Returns a pin of the given length as a string.Examples (:rand.seed is used here for doctest)iex&gt; :rand.seed(:exsss, {10, 20, 30}) iex&gt; SmsUp.Pin.Generator.generate_pin() {:ok, &quot;831750&quot;} iex&gt; :rand.seed(:exsss, {10, 20, 30}) iex&gt; SmsUp.Pin.Generator.generate_pin(4) {:ok, &quot;8317&quot;} iex&gt; :rand.seed(:exsss, {10, 20, 30}) iex&gt; SmsUp.Pin.Generator.generate_pin(100) {:ok, &quot;8317504629&quot;} iex&gt; SmsUp.Pin.Generator.generate_pin(0) {:error, &quot;invalid size of 0, please use a positive integer&quot;} iex&gt; SmsUp.Pin.Generator.generate_pin(-6) {:error, &quot;invalid size of -6, please use a positive integer&quot;}","ref":"SmsUp.Pin.Generator.html#generate_pin/1","title":"SmsUp.Pin.Generator.generate_pin/1","type":"function"},{"doc":"This module stores random pin associated with an id to be checked later. Default validity is 10 minutes and is configurable: config :sms_up, pin_validity: 15Default token size is 6 and can be modified also: config :sms_up, :pin_size, 4","ref":"SmsUp.Pin.Store.html","title":"SmsUp.Pin.Store","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"SmsUp.Pin.Store.html#child_spec/1","title":"SmsUp.Pin.Store.child_spec/1","type":"function"},{"doc":"Generate a pin code for the given id and store it in a mnesia database. Returns the generated pin code.Examplesiex&gt; SmsUp.Pin.Store.store(&quot;user@email.ch&quot;) &quot;123456&quot;","ref":"SmsUp.Pin.Store.html#store/1","title":"SmsUp.Pin.Store.store/1","type":"function"},{"doc":"Validate a pin code along with the user id and tells if the provided pin is correct or not. Returns a tupple containing true or false regarding the result.Examplesiex&gt; SmsUp.Pin.Store.validate(&quot;user@email.ch&quot;, &quot;Good Pin&quot;) {:ok, true} iex&gt; SmsUp.Pin.Store.validate(&quot;user@email.ch&quot;, &quot;Wrong Pin&quot;) {:ok, false}","ref":"SmsUp.Pin.Store.html#validate/2","title":"SmsUp.Pin.Store.validate/2","type":"function"},{"doc":"SMS sender api that can accept a configurable deliver for sending successfull messages.","ref":"SmsUp.Sender.html","title":"SmsUp.Sender","type":"module"},{"doc":"Send a sms with the chosen Sender Module with an international formated number.Configuration is available as : config :sms_up, deliver_module: MODULEMODULE can be:SmsUp.Delivery.LoggerDelivery (default)SmsUp.Delivery.SmsUpDelivery.Returns a ok tuple containing the message body and the number for which it was sent to or an error tuple with the reason.Examplesiex&gt; SmsUp.send_sms(&quot;+41765556677&quot;, &quot;message&quot;, []) {:ok, %{to: &quot;+41765556677&quot;, body: &quot;message&quot;, options: []}} iex&gt; SmsUp.send_sms(&quot;Hello&quot;, &quot;FR&quot;, []) {:error, &quot;Hello is not a valid number&quot;}","ref":"SmsUp.Sender.html#send_sms/3","title":"SmsUp.Sender.send_sms/3","type":"function"}]